#pragma once

#include "Core/Core.h"
#include "RHI/RHI.h"

class MeshRender {
public:
    MeshRender(Mesh* mesh);
    ~MeshRender();

    void Render();

private:
    Mesh* mesh_{ nullptr };
    IRHIAPI* rhiApi_{ nullptr };

    unsigned int vaoHandle_{ 0 };
    unsigned int vboHandle_{ 0 };
    unsigned int eboHandle_{ 0 };
};
